CON
  _CLKMODE      = XTAL1 + PLL16X                        
  _CLKFREQ      = 80_000_000

OBJ
  pst    : "Parallax Serial Terminal"

  co     : "Crank"

VAR
  long tmp
  
PUB Main
  pst.Start(57_600)

  ' wait until any key has been pushed. This way you can switch from Propeller Tool
  ' to PST without a hurry. At least during development all my terminal-based programs
  ' use this loop.
  tmp:=-1
  repeat while tmp==-1
    pst.str( string( "Crank",$0d,"== please press key to start ==",$0d ) )
    tmp:=pst.rxcheck
    if tmp==-1
       waitcnt( clkfreq+cnt )
  
  pst.Clear
  pst.str( string( "Starting Crank COG!",$0d ) )
  
  co.start(16, 36, 2, 10)

  pst.str( string("frequency set to ") )
  pst.dec( co.getFrequency )
  